public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/HTML-Mason/
Date: Wed, 21 Jun 2023 04:11:21 +0000 (UTC)	[thread overview]
Message-ID: <1687320661.61a9f4929a49c39a80dad6c394fa0865157f58b6.sam@gentoo> (raw)

commit:     61a9f4929a49c39a80dad6c394fa0865157f58b6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 21 04:07:37 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 04:11:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61a9f492

dev-perl/HTML-Mason: add 1.600.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-perl/HTML-Mason/HTML-Mason-1.600.0.ebuild | 66 +++++++++++++++++++++++++++
 dev-perl/HTML-Mason/Manifest                  |  1 +
 2 files changed, 67 insertions(+)

diff --git a/dev-perl/HTML-Mason/HTML-Mason-1.600.0.ebuild b/dev-perl/HTML-Mason/HTML-Mason-1.600.0.ebuild
new file mode 100644
index 000000000000..d3b234c5599d
--- /dev/null
+++ b/dev-perl/HTML-Mason/HTML-Mason-1.600.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=DROLSKY
+DIST_VERSION=1.60
+inherit depend.apache perl-module
+
+DESCRIPTION="A HTML development and delivery Perl Module"
+HOMEPAGE="http://www.masonhq.com/ https://metacpan.org/release/HTML-Mason"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+IUSE="modperl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	!modperl? ( >=dev-perl/CGI-2.460.0 )
+	modperl? (
+		www-apache/libapreq2
+		>=www-apache/mod_perl-2
+	)
+	>=dev-perl/Cache-Cache-1
+	>=dev-perl/Class-Container-0.70.0
+	>=dev-perl/Exception-Class-1.150.0
+	virtual/perl-File-Spec
+	dev-perl/HTML-Parser
+	>=dev-perl/Log-Any-0.80.0
+	>=dev-perl/Params-Validate-0.70.0
+	virtual/perl-Scalar-List-Utils
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/perl-ExtUtils-MakeMaker
+	test? (
+		>=virtual/perl-Test-Simple-0.880.0
+		dev-perl/Test-Output
+	)
+"
+
+want_apache2 modperl
+
+mydoc="CREDITS UPGRADE"
+myconf="--noprompts"
+
+pkg_setup() {
+	depend.apache_pkg_setup modperl
+	perl_set_version
+}
+
+src_prepare() {
+	# Note about new modperl use flag
+	if use !modperl ; then
+		ewarn "HTML-Mason will only install with modperl support"
+		ewarn "if the use flag modperl is enabled."
+	fi
+	# rendhalver - needed to set an env var for the build script so it finds our apache.
+	export APACHE="${APACHE_BIN}"
+	perl-module_src_prepare
+}
+
+src_install() {
+	perl-module_src_install
+	mv "${ED}"/usr/bin/convert* "${ED}"/usr/share/doc/${PF} || die
+}

diff --git a/dev-perl/HTML-Mason/Manifest b/dev-perl/HTML-Mason/Manifest
index 441b8f3bd012..3aac3be34e7c 100644
--- a/dev-perl/HTML-Mason/Manifest
+++ b/dev-perl/HTML-Mason/Manifest
@@ -1 +1,2 @@
 DIST HTML-Mason-1.59.tar.gz 323661 BLAKE2B e9061cf4349874572c912faa04e849cdba15b7219f33488af3555f58ee0d9b77e851cf20ecddfcb55ebb6ec1e3525dea986fdd444b6445a8f39b8508cd261b68 SHA512 3a8053d976345c7bd1d04aab659e3b4dd541264ece806e6d3bda605b6ecb16887ecce9a310bf27890aab40a129c81ba2dbad60c2edd80681a53d159becb3eda1
+DIST HTML-Mason-1.60.tar.gz 324010 BLAKE2B 6a6d290ff133fa7bd75c3b47df9f07fd07ae39781a52fb2415c95d2f0b0255532be0fd52c4e2eceaabb0a3592a40e96e023a676a9e1184a60838287e021752c2 SHA512 16f3acbe312020012b073aaa1b140978f97d77be64f85289089a5eeb25bdc97733ce51d68e871f640c54a8e5cd91127e81bb69076b522f2d8dc27e393d88c022


             reply	other threads:[~2023-06-21  4:11 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-21  4:11 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-08  8:55 [gentoo-commits] repo/gentoo:master commit in: dev-perl/HTML-Mason/ Arthur Zamarin
2022-07-02 21:21 Sam James
2022-07-02 21:19 Sam James
2022-07-02 21:18 Sam James
2022-07-02 18:20 Sam James
2022-07-02 15:32 Sam James
2021-11-01 11:25 Andreas K. Hüttel
2021-08-03 12:00 Agostino Sarubbo
2021-08-02  4:03 Agostino Sarubbo
2021-08-02  3:51 Sam James
2021-06-13 14:50 Andreas K. Hüttel
2017-09-18 16:50 Kent Fredric
2016-02-18  8:14 Andreas Hüttel
2016-02-13 15:23 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687320661.61a9f4929a49c39a80dad6c394fa0865157f58b6.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox